/**
 * 自动导入组件
 */

import Vue from 'vue'

import requireFile from '@/util/tools'

const componentList = requireFile(require.context('@/components', true, /\.vue/))
console.log(componentList)

componentList.forEach(file => {
  Vue.component(file.filename, file.fileComponent)
})
