import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import '@/plugin/vant'
import './permission' // 路由跳转
import '@/components/index' // 自动导入公共组件
import Toast from '@/plugin/toast'

Vue.config.productionTip = false
Vue.use(Toast)

Vue.prototype.$ApiRouter = ($event) => router.push({ path: $event }, () => {}) // 重复点击路由报错

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
