/**
 * 获取组件
 * @param {string} allComponent require.context读取的文件
 */

const requireFile = (allComponent) => {
  const requireComponent = allComponent.keys().map(file => {
    if (file.indexOf('index') === -1) {
      return {
        filename: file.split('/')[1].split('.')[0],
        fileComponent: allComponent(file).default || allComponent(file)
      }
    }
  })
  return requireComponent
}

export default requireFile
