import router from './router'
import NProgress from 'nprogress'
// import store from './store'
import 'nprogress/nprogress.css'

NProgress.configure({ showSpinner: false })

// const whiteList = ['/login', '/pwlogin']

router.beforeEach((to, from, next) => {
  // to要去的页面 from从哪里来 next放行
  NProgress.start()
  if (to.meta.title) {
    document.title = to.meta.title
  }
  if (to.path === '/login') {
    next()
    NProgress.done()
  } else {
    next()
    NProgress.done()
  }
})

router.afterEach(() => {
  NProgress.done()
})
